"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatError = formatError;

var _chalk = _interopRequireDefault(require("chalk"));

var fs = _interopRequireWildcard(require("fs-extra"));

var path = _interopRequireWildcard(require("path"));

var _codeFrame = require("@babel/code-frame");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function formatError(error, baseDir = process.cwd()) {
  var _error$location;

  if ((_error$location = error.location) !== null && _error$location !== void 0 && _error$location.file) {
    var _error$location2;

    const pathToFile = path.join(baseDir, (_error$location2 = error.location) === null || _error$location2 === void 0 ? void 0 : _error$location2.file);
    const source = await fs.readFile(pathToFile, {
      encoding: 'utf-8'
    });
    return `${_chalk.default.red('Error:')}[${error.location.file}] ${error.text}
  
${(0, _codeFrame.codeFrameColumns)(source, {
      start: {
        line: error.location.line,
        column: error.location.column
      }
    }, {
      highlightCode: true
    })}
    `;
  } else {
    return `${_chalk.default.red('Error:')} ${error.text}\n`;
  }
}
//# sourceMappingURL=formatError.js.map