"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sanitizeFileName = exports.default = void 0;

var path = _interopRequireWildcard(require("path"));

var _getModularRoot = _interopRequireDefault(require("../../utils/getModularRoot"));

var _formatPath = require("./formatPath");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const sanitizeFileName = pathName => {
  const normalizedPathName = (0, _formatPath.normalizeToPosix)(pathName);

  if (['.css', '.css.map'].some(ext => pathName.endsWith(ext))) {
    return normalizedPathName.replace('/js/', '/css/');
  } else {
    return normalizedPathName;
  }
};

exports.sanitizeFileName = sanitizeFileName;

function sanitizeMetafile(paths, result) {
  // make sure that we mark the index-[hash].css file as an entrypoint
  const outputs = Object.fromEntries(Object.entries(result.outputs).map(([key, value]) => {
    if (path.extname(key) === '.css') {
      if (path.basename(key).startsWith('index')) {
        value.entryPoint = path.relative((0, _getModularRoot.default)(), paths.appIndexJs);
      }
    }

    return [sanitizeFileName(key), value];
  }));
  const metafile = { ...result,
    outputs
  };
  return metafile;
}

var _default = sanitizeMetafile;
exports.default = _default;
//# sourceMappingURL=sanitizeMetafile.js.map