"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAllWorkspaces = void 0;
exports.getWorkspacePackages = getWorkspacePackages;

var _memoize = _interopRequireDefault(require("./memoize"));

var _getModularRoot = _interopRequireDefault(require("./getModularRoot"));

var _workspaceResolver = require("@modular-scripts/workspace-resolver");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function getWorkspacePackages(modularRoot, target = modularRoot) {
  const [allPackages] = await (0, _workspaceResolver.resolveWorkspace)(modularRoot, target);
  return [allPackages, (0, _workspaceResolver.analyzeWorkspaceDependencies)(allPackages)];
}

function _getAllWorkspaces(target) {
  const modularRoot = (0, _getModularRoot.default)();
  return getWorkspacePackages(modularRoot, target);
}

const getAllWorkspaces = (0, _memoize.default)(_getAllWorkspaces);
exports.getAllWorkspaces = getAllWorkspaces;
//# sourceMappingURL=getAllWorkspaces.js.map